﻿.login-form {
    display: initial;
}

*, *:before, *:after {
    box-sizing: border-box
}

html, body {
    min-height: 100dvh;
    color: var(--rc-c-n-1);
    height: 100%;
    padding: 0;
    margin: 0;
    background-color: #eee;
    position: relative;
    font-family: var(--font);
    font-size: 15px;
    scrollbar-width: thin
}

#rc-login {
    display: flex;
    margin: auto;
    min-height: 98%;
    padding: 20px 0;
    padding-top: 45px;
    position: relative;
    flex-direction: column
}

    #rc-login a {
        color: var(--rc-c-azul-1);
        text-decoration: none
    }

        #rc-login a:hover, #rc-login a:focus {
            text-decoration: underline
        }

    #rc-login h1, #rc-login h2, #rc-login h3 {
        font-weight: 300
    }

#rc-login-box {
    display: flex;
    flex-direction: row-reverse;
    background-color: #fff;
    margin: auto;
    border-radius: 1em 0 1em 1em;
    box-shadow: 0 10px 1em 0 rgba(0,0,0,0.08);
    width: auto;
    max-width: 1070px;
    user-select: none;
    position: relative
}

#rc-login-form-box, #rc-login-display {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
    overflow: hidden
}

#rc-login-form-box {
    padding: 0;
    display: flex;
    flex-direction: column;
    min-width: 450px;
    max-height: 620px;
    flex-grow: 1
}

#rc-login-display {
    background-color: #fff;
    display: flex;
    border-radius: 1em 0 0 1em;
    padding: 10px;
    min-width: 500px;
    max-width: 620px;
    width: 50vw;
    flex-grow: 1
}

#rc-login-display-slideshow {
    background-color: #ddd;
    border-radius: calc(1em - 5px);
    position: relative;
    padding-bottom: 100%;
    overflow: hidden
}

    #rc-login-display-slideshow .swiper {
        position: absolute;
        left: 0;
        top: 0;
        right: 0;
        bottom: 0
    }

    #rc-login-display-slideshow .swiper-slide img {
        display: block;
        margin: 0;
        width: 100%
    }

#rc_login_form {
    display: flex;
    flex-direction: column;
    gap: 45px;
    padding: 45px;
    flex-grow: 1;
    max-height: 620px
}

#rc-login-logo {
    display: inline-flex;
    align-items: center;
    width: 100%;
    margin: 0;
    background-color: #fff;
    position: absolute;
    bottom: 100%;
    right: 0;
    left: initial;
    width: auto;
    padding: 18px 30px 0 0;
    border-radius: 0 1em 0 0
}

    #rc-login-logo b {
        position: absolute;
        right: 100%;
        bottom: 0
    }

        #rc-login-logo b svg {
            width: 42px;
            height: 39px;
            position: absolute;
            bottom: 0;
            right: 0;
            display: block
        }

    #rc-login-logo img {
        display: block;
        margin: 0;
        max-width: 125px;
        height: auto
    }
#rc-login .form-group {
    display: flex;
    flex-direction: column;
    gap: 5px
}

    #rc-login .form-group.field-ok .form-control-wrap {
        --bsc: #ddd;
        background-color: #fff;
        box-shadow: 0 0 0 1.5px var(--bsc);
        border-radius: 50px;
        padding-left: 5px;
        padding-right: 5px;
        cursor: pointer !important
    }

        #rc-login .form-group.field-ok .form-control-wrap:hover {
            --bsc: #aaa;
            background-color: #fff
        }

    #rc-login .form-group.field-ok .form-control {
        min-height: 60px;
        white-space: nowrap;
        text-overflow: ellipsis;
        font-size: 1em;
        overflow: hidden
    }

#rc-login .form-control-wrap {
    display: flex;
    align-items: center;
    gap: 0;
    background-color: #eee;
    padding: 0;
    border-radius: 5px;
    transition: var(--trans)
}

    #rc-login .form-control-wrap [class^="material-symbols-"] {
        color: inherit;
        text-decoration: none;
        padding: 5px 10px;
        border-radius: 50px
    }

        #rc-login .form-control-wrap [class^="material-symbols-"] + .form-control {
            padding-left: 0;
            width: 75%
        }

        #rc-login .form-control-wrap [class^="material-symbols-"]:focus-within {
            background-color: #ddd
        }

    #rc-login .form-control-wrap:focus-within {
        background-color: #ddd
    }

    #rc-login .form-control-wrap .form-control {
        background-color: transparent !important;
        flex-grow: 1
    }

    #rc-login .form-control-wrap .form-control-clear {
        padding-left: 0;
        opacity: .5;
        transform: translateX(0);
        cursor: pointer;
        transition: var(--trans)
    }

        #rc-login .form-control-wrap .form-control-clear:hover {
            opacity: .75
        }

    #rc-login .form-control-wrap .form-control:placeholder-shown ~ .form-control-clear {
        transform: translateX(-10px);
        opacity: 0
    }

    input::-ms-reveal,
    input::-ms-clear {
        display: none;
    }

@media (max-width:1100px) {
    #rc-login-form-box {
        padding-top: 0
    }
}

@media (max-width:967px) {
    #rc-login {
        padding: 10px;
        display: block
    }

    #rc-login-box {
        flex-direction: column;
        max-width: 600px;
        width: 100%;
        margin-top: 35px;
    }

    #rc-login-form-box {
        min-width: initial;
        max-width: initial;
        width: 100%;
        padding-top: 0
    }

    #rc_login_form {
        padding: 1.5em;
        max-width: initial
    }

        #rc_login_form footer {
            align-self: initial
        }
   
    #rc-login-display {
        min-width: 100%
    }

    #companyLogo img {
        max-height: 80px
    }

    .m-0-sm {
        margin: 0
    }

    .mt-0-sm {
        margin-top: 0
    }

    .ml-0-sm {
        margin-left: 0
    }

    .mr-0-sm {
        margin-right: 0
    }

    .mb-0-sm {
        margin-bottom: 0
    }
}

#companyLogo img {
    max-width: 100%;
    max-height: 120px;
    padding: 10px;
    object-fit: contain;
    margin: auto;
    display: block;
    transition: var(--trans)
}

@media (max-height: 650px) {
    #rc_login_form {
        padding: 25px;
        gap: 25px;
    }

    #companyLogo img {
        max-height: 100px;
    }
}

.loading {
    cursor: wait
}

    .loading:before {
        content: "";
        position: fixed;
        z-index: 999998;
        inset: 0 0 0 0;
        background: rgba(0,0,0,0.5);
        backdrop-filter: blur(5px)
    }

    .loading:after {
        content: "";
        display: flex;
        z-index: 999999;
        width: 48px;
        height: 48px;
        left: 50%;
        top: 50%;
        transform: translate(-50%, -50%);
        margin-left: -24px;
        margin-top: -24px;
        position: fixed;
        animation: spin .75s linear infinite;
        background: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' height='48' viewBox='0 -960 960 960' fill='white' width='48'%3E%3Cpath d='M480-80q-82 0-155-31.5t-127.5-86Q143-252 111.5-325T80-480q0-83 31.5-155.5t86-127Q252-817 325-848.5T480-880q17 0 28.5 11.5T520-840q0 17-11.5 28.5T480-800q-133 0-226.5 93.5T160-480q0 133 93.5 226.5T480-160q133 0 226.5-93.5T800-480q0-17 11.5-28.5T840-520q17 0 28.5 11.5T880-480q0 82-31.5 155t-86 127.5q-54.5 54.5-127 86T480-80Z'/%3E%3C/svg%3E") center / cover no-repeat
    }

@keyframes spin {
    from {
        transform: rotate(0deg)
    }

    to {
        transform: rotate(360deg)
    }
}